Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.cli
Class Rover

    java.lang.Object
      org.apache.any23.cli.Rover

All Implemented Interfaces:
  Tool

    public class Rover

extends Object
implements Tool

A default rover implementation. Goes and fetches a URL using an hint as to what format should require, then tries to convert it to RDF.

Author:
  Michele Mostarda (mostarda@fbk.eu), Richard Cyganiak (richard@cyganiak.de), Gabriele Renzi

Nested Class Summary
`protected class` | `Rover.ExitCodeException`

Constructor Summary
`Rover()`

Method Summary
`protected String[]` | `argumentsToURIs(String[] args)`
`protected String[]` | `configure(String[] args)`
`protected org.apache.commons.cli.Options` | `createOptions()`
`protected org.apache.commons.cli.CommandLine` | `getCommandLine()`
`protected boolean` | `isVerbose()`
`static void` | `main(String[] args)`
`protected void` | `performExtraction(DocumentSource documentSource)`
`protected void` | `performExtraction(String[] inputURIs)`
`protected String` | `printReports()`
`int` | `run(String[] args)` Runs the tool and retrieves the exit code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rover

    public Rover()

Method Detail

### isVerbose

    protected boolean isVerbose()

### main

    public static void main(String[] args)

### run

    public int run(String[] args)

  Description copied from interface: `Tool`
  Runs the tool and retrieves the exit code.

  Specified by:
    `run` in interface `Tool`
  Parameters:
    `args` - command line arguments.
  Returns:
    exit code.

### getCommandLine

    protected org.apache.commons.cli.CommandLine getCommandLine()

### configure

    protected String[] configure(String[] args)
                          throws Exception

  Throws:
    `Exception`

### createOptions

    protected org.apache.commons.cli.Options createOptions()

### performExtraction

    protected void performExtraction(DocumentSource documentSource)

### performExtraction

    protected void performExtraction(String[] inputURIs)
                              throws URISyntaxException,
                                     IOException

  Throws:
    `URISyntaxException`
    `IOException`

### printReports

    protected String printReports()

### argumentsToURIs

    protected String[] argumentsToURIs(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.